> ## Documentation Index
> Fetch the complete documentation index at: https://confidence.spotify.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Entity

> List entities. Entities are returned in no particular order.



## OpenAPI

````yaml /api/metrics/api/entity.openapi.json get /v1/entities
openapi: 3.1.0
info:
  title: Confidence Entity API
  version: 1.0.0
  description: API documentation for entity
servers: []
security: []
paths:
  /v1/entities:
    get:
      summary: List Entity
      description: List entities. Entities are returned in no particular order.
      operationId: Entity.list
      parameters:
        - name: pageSize
          in: query
          required: false
          description: The maximum number of entities to fetch.
          schema:
            type: object
        - name: pageToken
          in: query
          required: false
          description: Token used for pagination.
          schema:
            type: string
        - name: filter
          in: query
          required: false
          description: >-
            Filtering for entities, follows the lucene query string format for
            example
             'name: "entities/abc"', see Entity type for available fields.
          schema:
            type: string
        - name: orderBy
          in: query
          required: false
          description: >-
            Provide fields and direction to sort by. Will always tiebreak on
            name.
             Format: {"<"}field_0{">"}:{"<"}direction{">"}, {"<"}field_1{">"}:{"<"}direction{">"}
             Example: displayName:desc,createTime:asc
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  entities:
                    type: array
                    items:
                      $ref: '#/components/schemas/confidence.metrics.v1.Entity'
                    description: >-
                      [Entity](/api-reference/schemas/entity): List of matching
                      entities.
                  nextPageToken:
                    type: string
                    description: Token to fetch the next page, empty if no more pages.
                required:
                  - entities
      security:
        - admin: []
      servers:
        - url: https://metrics.eu.confidence.dev
        - url: https://metrics.us.confidence.dev
        - url: https://metrics.confidence.dev
components:
  schemas:
    confidence.metrics.v1.Entity:
      title: Entity
      type: object
      description: Description of a uniquely identifiable entity.
      properties:
        name:
          type: string
          description: |-
            Unique identifier of the entity.
             For example: `entities/0smva5nxuhv4yts6paxt`
        displayName:
          type: string
          description: Human friendly name of the entity.
        primaryKeyType:
          type: string
          enum:
            - COLUMN_TYPE_UNSPECIFIED
            - COLUMN_TYPE_STRING
            - COLUMN_TYPE_INT32
            - COLUMN_TYPE_INT64
            - COLUMN_TYPE_DOUBLE
            - COLUMN_TYPE_BOOLEAN
            - COLUMN_TYPE_DATE
            - COLUMN_TYPE_TIMESTAMP
            - COLUMN_TYPE_BYTES
            - COLUMN_TYPE_TIMESTAMP_WITHOUT_TIMEZONE
            - COLUMN_TYPE_DECIMAL
            - COLUMN_TYPE_HLL_SKETCH
          description: The type of the identifier in the data warehouse storage.
        createTime:
          type: object
          description: Time when the entity was first created.
        updateTime:
          type: object
          description: Time when the entity was last updated.
        labels:
          type: array
          items:
            type: object
            additionalProperties:
              type: string
          description: Custom labels for this entity.
        creator:
          type: string
          description: Reference to the identity that created this entity.
        updater:
          type: string
          description: Reference to the identity that last updated this entity.
        owner:
          type: string
          description: The owner of the resource. If not set will default to the creator.
        defaultAssignmentTable:
          type: string
          description: The default assignment table for this entity.
      required:
        - displayName
        - primaryKeyType
        - createTime
        - updateTime
        - creator
        - updater
  securitySchemes:
    admin:
      type: http
      scheme: bearer

````